LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XCodeProxy Interface Referencepublished

is the interface to run Mozilla XPCOM code to run Mozilla XPCOM code in OOo,you should first implement this interface, then pass this object to xProxyRunner->Run More...

`import "XCodeProxy.idl";`

Inheritance diagram for XCodeProxy:

## Public Member Functions
long | run ()
| all Mozilla XPCOM code must be called in run() or functions called by run()
MozillaProductType | getProductType ()
| which Mozilla product this code is write for
string | getProfileName ()
| which Mozilla profile this code will use
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is the interface to run Mozilla XPCOM code to run Mozilla XPCOM code in OOo,you should first implement this interface, then pass this object to xProxyRunner->Run

See also
  XProxyRunner
  XMozillaBootstrap

## Member Function Documentation

## ◆ getProductType()

MozillaProductType getProductType | ( |  | ) |

which Mozilla product this code is write for

## ◆ getProfileName()

string getProfileName | ( |  | ) |

which Mozilla profile this code will use

## ◆ run()

long run | ( |  | ) |

all Mozilla XPCOM code must be called in run() or functions called by run()

The documentation for this interface was generated from the following file:

- com/sun/star/mozilla/XCodeProxy.idl